@import url('https://fonts.googleapis.com/css2?family=Viga&display=swap');

/* 
https://www.w3schools.com/css/css_navbar.asp
https://codepen.io/dasshounak/pen/QWKKYdj
https://codepen.io/ainalem/pen/GRqPwoz
*/

body {
background-image: url(https://www.kolpaper.com/wp-content/uploads/2020/07/4K-Vaporwave-Wallpapers.jpg);
background-size: cover;
font-family: 'Viga', sans-serif;
}

a {
color: white;
text-decoration: none;
padding: 8px;
}

a:active {
color: #C06C84;
}

ul {
list-style-type: none;
}

li {
display: inline;
}

form {
background-color: rgba(34, 40, 49, 0.8);
border-radius: 20px;
box-shadow: 20px 20px 40px -6px rgba(0,0,0,0.5);
height: 560px;
padding: 2em;
}

p {
color: white;
font-weight: 600;
font-size: 24px;
margin-top: 0;
margin-bottom: 40px;
}

input[type="text"] {
font-family: 'Viga', sans-serif;
background-color: rgba(57, 62, 70, 0.8);
border-radius: 12px;
border: 0;
font-size: 18px;
padding: 4px 20px 0;
height: 100%;
width: 100%;
outline: 0;
box-sizing: border-box;
color: white;
transition: all 0.2s;
}

input[type="text"]:active {
transform: scale(1.05);
}

input[type="submit"] {
font-family: 'Viga', sans-serif;
background-color: rgba(17, 153, 158, 0.8);
border-radius: 12px;
border: 0;
box-sizing: border-box;
color: #eee;
cursor: pointer;
font-size: 18px;
height: 50px;
margin-top: 20px;
outline: 0;
text-align: center;
width: 100%;
}

input[type="submit"]:active {
background-color: rgba(48, 227, 202, 0.8);
}


textarea {
font-family: 'Viga', sans-serif;
background-color: rgba(57, 62, 70, 0.8);
border-radius: 12px;
border: 0;
font-size: 18px;
padding: 20px 20px 0;
height: 100%;
width: 100%;
outline: 0;
box-sizing: border-box;
color: white;
transition: all 0.2s;
}

textarea:active {
transform: scale(1.05);
}

.container {
display: flex;
justify-content: center;
align-items: center;
text-align: center;
height: 90vh;
}

.input-container {
height: 50px;
position: relative;
width: 100%;
margin-top: 20px;
}

.message {
height: 200px;
}

.cut {
color: white;
font-family: 'Viga', sans-serif;
background-color: rgba(34, 40, 49, 0.8);
border-radius: 10px;
height: 20px;
left: 20px;
position: absolute;
top: -10px;
width: 175px;
}

.active {
color: #C06C84;
}